Page MenuHomeFreeBSD

hyperv/vmbus: add a new method to get vcpu_id
ClosedPublic

Authored by decui_microsoft.com on Nov 1 2016, 11:08 AM.
Tags
None
Referenced Files
Unknown Object (File)
Thu, Jul 4, 10:14 AM
Unknown Object (File)
Wed, Jul 3, 10:19 PM
Unknown Object (File)
Wed, Jul 3, 5:26 PM
Unknown Object (File)
Sun, Jun 30, 7:45 PM
Unknown Object (File)
Sun, Jun 30, 2:44 AM
Unknown Object (File)
Wed, Jun 26, 10:29 AM
Unknown Object (File)
May 10 2024, 11:00 AM
Unknown Object (File)
May 7 2024, 7:07 PM
Subscribers
None

Details

Summary

vcpu_id is host's representation of guest CPU.

We get the mapping between vcpu_id and FreeBSD kernel's cpu id when VMBus
driver is loaded. Later, when a driver, like the coming pcib driver, talks
to the host and needs to refer to a guest CPU, the driver must use the
vcpu_id.

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

decui_microsoft.com retitled this revision from to hyperv/vmbus: add a new method to get vcpu_id.
decui_microsoft.com updated this object.
decui_microsoft.com edited the test plan for this revision. (Show Details)
sys/dev/hyperv/vmbus/vmbus.c
999–1001 ↗(On Diff #21877)

Or:
const struct vmbus_softc *sc = device_get_softc(bus);

return (VMBUS_PCPU_GET(sc, vcpuid, cpu));

This revision is now accepted and ready to land.Nov 2 2016, 1:19 AM
decui_microsoft.com edited edge metadata.

This new version addressed Sephe's comment.

This revision now requires review to proceed.Nov 2 2016, 2:26 AM
This revision is now accepted and ready to land.Nov 2 2016, 2:28 AM
jhb edited edge metadata.
This revision was automatically updated to reflect the committed changes.